## spectro/average

### Summary

Average or merge two or more .ti3 measurement files.
If only one input file is provided, all the patches with the same device values will be average together.

### Usage

usage: average [-options] input1.ti3 input2.ti3 ... output.ti3
-v Verbose
-e Median rather than average
`-g Geometric Median of PCS in encoded space``
` `-L Geometric Median of PCS in L*a*b* space``
` `-X Geometric Median of PCS in XYZ space`
-m Merge rather than average
input1.ti3 First input file
input2.ti3 Second input file
... etc.
output.ti3 Resulting averaged or merged output file
All keywords and other table data will be taken from the first input file. By default the input files are averaged, but they can be merged by using the -m flag.
The fields must be the same and in the same order. For averaging, the device values must be the same and in the same order.
If the -e option is used, then the independent median (i.e. Marginal median) of the field values is used, rather than the average.
If the -g option is used, then Geometric Median of PCS values is computed in their encoded space (i.e. XYZ or L*a*b*).
If the -L option is used, then Geometric Median of PCS values is computed in L*a*b* space.
If the -X option is used, then Geometric Median of PCS values is computed in XYZ space.